### Hierarchy

- EventTarget
  - ApplicationCache

## Index

### Properties

- CHECKING
- DOWNLOADING
- EventTarget
- IDLE
- OBSOLETE
- UNCACHED
- UPDATEREADY
- oncached
- onchecking
- ondownloading
- onerror
- onnoupdate
- onobsolete
- onprogress
- onupdateready
- status

### Methods

- abort
- addEventListener
- dispatchEvent
- removeEventListener
- swapCache
- update

## Properties

### CHECKING

CHECKING: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1845

### DOWNLOADING

DOWNLOADING: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1846

### EventTarget

EventTarget: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5081

#### Type declaration

- ##### constructor: function

  - new __type(): EventTarget
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5082

    #### Returns EventTarget

- ##### prototype: EventTarget

### IDLE

IDLE: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1847

### OBSOLETE

OBSOLETE: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1848

### UNCACHED

UNCACHED: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1849

### UPDATEREADY

UPDATEREADY: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1850

### oncached

oncached: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1822

deprecated

### onchecking

onchecking: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1824

deprecated

### ondownloading

ondownloading: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1826

deprecated

### onerror

onerror: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1828

deprecated

### onnoupdate

onnoupdate: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1830

deprecated

### onobsolete

onobsolete: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1832

deprecated

### onprogress

onprogress: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1834

deprecated

### onupdateready

onupdateready: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1836

deprecated

### status

status: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1838

deprecated

## Methods

### abort

- abort(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1840
  deprecated

  #### Returns void

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1851

  #### Type parameters

  - #### K: keyof ApplicationCacheEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: ApplicationCache, ev: ApplicationCacheEventMap[K]): any

      - #### Parameters

        - ##### this: ApplicationCache

        - ##### ev: ApplicationCacheEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1852

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### dispatchEvent

- dispatchEvent(event: Event): boolean

- Inherited from EventTarget.dispatchEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5074

  Dispatches a synthetic event event to target and returns true if either event's cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.

  #### Parameters

  - ##### event: Event

  #### Returns boolean

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1853

  #### Type parameters

  - #### K: keyof ApplicationCacheEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: ApplicationCache, ev: ApplicationCacheEventMap[K]): any

      - #### Parameters

        - ##### this: ApplicationCache

        - ##### ev: ApplicationCacheEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1854

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

### swapCache

- swapCache(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1842
  deprecated

  #### Returns void

### update

- update(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1844
  deprecated

  #### Returns void

Generated using TypeDoc